# Generated by Django 2.2.6 on 2020-03-06 08:44

import django.core.files.storage
from django.db import migrations, models
import django.db.models.deletion
import resources.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("resources", "0004_add_depth_to_berth_type"),
    ]

    operations = [
        migrations.CreateModel(
            name="WinterStorageAreaMap",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "map_file",
                    models.FileField(
                        storage=django.core.files.storage.FileSystemStorage(),
                        upload_to=resources.models.get_map_resource_media_folder,
                        verbose_name="map file",
                    ),
                ),
                (
                    "winter_storage_area",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="maps",
                        to="resources.WinterStorageArea",
                        verbose_name="winter storage area",
                    ),
                ),
            ],
            options={"abstract": False,},
        ),
        migrations.CreateModel(
            name="HarborMap",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "map_file",
                    models.FileField(
                        storage=django.core.files.storage.FileSystemStorage(),
                        upload_to=resources.models.get_map_resource_media_folder,
                        verbose_name="map file",
                    ),
                ),
                (
                    "harbor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="maps",
                        to="resources.Harbor",
                        verbose_name="harbor",
                    ),
                ),
            ],
            options={"abstract": False,},
        ),
    ]
